package com.ynet.life.loaf.jdbc;

import com.ynet.life.loaf.TableConfig;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_loaf_jdbc.jar:com/ynet/life/loaf/jdbc/LoafQueryCondition.class */
public class LoafQueryCondition {
    private TableConfig itsTable;
    private List itsFieldList = new ArrayList();
    private List itsInputList = new ArrayList();
    private String itsCondition;

    public LoafQueryCondition(String condition) {
        this.itsCondition = condition;
    }

    public LoafQueryCondition(TableConfig config, Map context) {
        this.itsTable = config;
        for (String tableKey : config.getPrimaryKeyHashMap()) {
            if (config.isJoinedPK(tableKey)) {
                StringBuffer pkValue = new StringBuffer();
                List array = config.getJoinedPKList(tableKey);
                int size = array.size();
                for (int i = 0; i < size; i++) {
                    String keyFieldName = (String) array.get(i);
                    String keyValue = (String) context.get(keyFieldName);
                    if (keyValue != null) {
                        pkValue.append(keyValue);
                    }
                }
                if (pkValue.length() > 0) {
                    this.itsInputList.add(DataTypeConfig.getData(config.getTableName(), tableKey, pkValue.toString()));
                    this.itsFieldList.add(tableKey);
                }
            } else {
                String keyValue2 = (String) context.get((String) config.getTableFieldToDataHashMap().get(tableKey));
                if (keyValue2 != null) {
                    this.itsInputList.add(DataTypeConfig.getData(config.getTableName(), tableKey, keyValue2));
                    this.itsFieldList.add(tableKey);
                }
            }
        }
    }

    public String getCondition() {
        if (this.itsCondition == null) {
            StringBuffer preparedCondition = new StringBuffer();
            int size = this.itsFieldList.size();
            for (int i = 0; i < size; i++) {
                String keyFieldName = (String) this.itsFieldList.get(i);
                if (preparedCondition.length() > 0) {
                    preparedCondition.append(" AND ");
                }
                preparedCondition.append(keyFieldName).append("=?");
            }
            this.itsCondition = preparedCondition.toString();
        }
        return this.itsCondition;
    }

    public List getInputList() {
        return this.itsInputList;
    }

    public String toString() {
        if (this.itsTable == null) {
            return this.itsCondition;
        }
        StringBuffer result = new StringBuffer();
        int size = this.itsInputList.size();
        for (int i = 0; i < size; i++) {
            String keyFieldName = (String) this.itsFieldList.get(i);
            if (result.length() > 0) {
                result.append(" AND ");
            }
            result.append(keyFieldName).append("=");
            result.append(this.itsInputList.get(i));
        }
        return result.toString();
    }
}
